LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
07196Bug reports[All Projects] Otherpublic2013-01-16 14:062013-02-07 11:21
ReporterpfpDave 
Assigned Toc_schmitz 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
Product Version2.00+ 
Target VersionFixed in Version2.00+ 
Summary07196: Completing Admin Data Entry for survey with tokens screen gives SQL Error
DescriptionUsing the Data Entry screen from the admin interface gives the SQL error below when a survey is 'Tokenised':

Error executing query in dbExecuteAssoc:CDbCommand failed to execute the SQL statement: SQLSTATE[22001]: [Microsoft][SQL Server Native Client 11.0][SQL Server]String or binary data would be truncated.. The SQL statement executed was: UPDATE tokens_571774 SET usesleft=usesleft-1, completed='2013-01-16 13:04:22' WHERE token='wf2379qjgwcx9y7'
I will donate to the project if issue is resolved within 48 hrsNo
LimeSurvey build number OR git commit ID130108
BrowserIE8
Database & DB-VersionSQL Express 2012
Operating System (Server)Server 2008
Webserver software & versionIIS 7
PHP Version5.4.8
Attached Files

- Relationships

-  Notes
User avatar (23696)
mdekker (developer)
2013-01-16 16:05

Note to self:

See 7122: https://github.com/LimeSurvey/LimeSurvey/commit/472d4700c9bc868c76c34368b2bfb24eec5eb515 [^]

Probably needs a similar fix
User avatar (23708)
c_schmitz (administrator)
2013-01-18 21:52

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=11309 [^]
User avatar (23709)
c_schmitz (administrator)
2013-01-18 21:57

@mdekker: No, it doesn't.

@pfpDave: Please let us know if the patch resolves the issue for you.
User avatar (23755)
c_schmitz (administrator)
2013-01-22 14:53

2.00+ Build 120122 released.
User avatar (23974)
pfpDave (reporter)
2013-02-07 11:19

This seems to work for me, very many thanks. Sorry for being quiet recently, it's manic here but I'll get back into the testing properly soon.

- Related Changesets
LimeSurvey: master da872d92
Timestamp: 2013-01-18 20:52:08
Author: c_schmitz
Committer: Carsten Schmitz
Details ] Diff ]
Fixed issue 07196: Completing admin data entry for survey with tokens screen gives SQL Error on MSSQL
mod - application/controllers/admin/dataentry.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-01-16 14:06 pfpDave New Issue
2013-01-16 16:05 mdekker Note Added: 23696
2013-01-18 21:47 c_schmitz Assigned To => c_schmitz
2013-01-18 21:47 c_schmitz Status new => assigned
2013-01-18 21:52 c_schmitz Status assigned => resolved
2013-01-18 21:52 c_schmitz Fixed in Version => 2.00+
2013-01-18 21:52 c_schmitz Resolution open => fixed
2013-01-18 21:52 c_schmitz Changeset attached => LimeSurvey master da872d92
2013-01-18 21:52 c_schmitz Note Added: 23708
2013-01-18 21:57 c_schmitz Note Added: 23709
2013-01-22 14:53 c_schmitz Note Added: 23755
2013-01-22 14:53 c_schmitz Status resolved => closed
2013-02-07 11:19 pfpDave Note Added: 23974
2013-02-07 11:19 pfpDave Status closed => feedback
2013-02-07 11:19 pfpDave Resolution fixed => reopened
2013-02-07 11:21 c_schmitz Status feedback => closed
2013-02-07 11:21 c_schmitz Resolution reopened => fixed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker